Subject: Re: [PATCH 0/3] go-build-system and GOPATH improvements

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 17 Feb 2025 21:21:23 +0900

Hi,

Sharlatan Hellseher <[email-masked]> writes:

> Hi,
>
> I'm in review of all open Golang related issues, this one looks like
> never implemented or candidate for GCD!
>
> Let's have some consensus here and/or close it with future GCD on
> go-build-system implementation.
>
> Similar discussion thread <https://issues.guix.gnu.org/32919>.

Having some kind of cache overlay sounds a bit complicated to retrofit
in a way that works at the low level of go-build-system.  There's also
the risk that they may change how this works yet again in the future.

Unless someone has an itch to scratch, I'd wait until GOPATH deprecation
is looming and real.  But if someone is motivated, it would be nice to
have proper module support for Go in Guix.

-- 
Thanks,
Maxim